de.esprit.netsuite.netdata.event

## Enum ABOChangeType

- java.lang.Object
- - java.lang.Enum<ABOChangeType>
  - - de.esprit.netsuite.netdata.event.ABOChangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ABOChangeType>

      public enum ABOChangeType
      extends java.lang.Enum<ABOChangeType>

  Defines the type of a ABO changes
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `DELETED`
    `DROPPED`
    `FETCHED`
    `UPDATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCreated()`
    `boolean` | `isDeleted()`
    `boolean` | `isDropped()`
    `boolean` | `isFetched()`
    `boolean` | `isUpdated()`
    `static ABOChangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ABOChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final ABOChangeType CREATED

    - #### UPDATED

          public static final ABOChangeType UPDATED

    - #### DELETED

          public static final ABOChangeType DELETED

    - #### FETCHED

          public static final ABOChangeType FETCHED

    - #### DROPPED

          public static final ABOChangeType DROPPED

  - ### Method Detail

    - #### values

          public static ABOChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ABOChangeType c : ABOChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ABOChangeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCreated

          public boolean isCreated()

    - #### isUpdated

          public boolean isUpdated()

    - #### isDeleted

          public boolean isDeleted()

    - #### isFetched

          public boolean isFetched()

    - #### isDropped

          public boolean isDropped()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.